import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { BehaviorSubject } from 'rxjs';
import { TransactionBarButton } from '../../../model/transaction-bar-button';
export declare abstract class TransactionButtonBarButtonBaseComponent {
    protected changeDetector: ChangeDetectorRef;
    title: string;
    iconName: Icon;
    transactionInfoResponse: TransactionInfoResponse;
    set showLoader(value: boolean);
    get showLoader(): boolean;
    set checked(value: boolean);
    get checked(): boolean;
    set additional(value: boolean);
    get additional(): boolean;
    showLoaderChange: BehaviorSubject<boolean>;
    checkedChange: BehaviorSubject<boolean>;
    additionalChange: BehaviorSubject<boolean>;
    buttonClicked: EventEmitter<TransactionBarButton>;
    private _showLoader;
    private _checked;
    private _additional;
    constructor(changeDetector: ChangeDetectorRef);
}
